#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
    grabber.initGrabber(640,480);
    gray.allocate(640,480,1);
    diff.allocate(640,480,1);
    previousPixels.allocate(640,480,1);
    previousPixels.set(0);
    grayTex.allocate(gray);
    diffTex.allocate(diff);
}

//--------------------------------------------------------------
void testApp::update(){
    grabber.update();
    if(grabber.isFrameNew()){
        sumMovement = 0;
        gray = grabber.getPixelsRef().getChannel(0);
        grayTex.loadData(gray);
        for(int i=0;i<gray.size();i++){
            diff[i] = abs(gray[i] - previousPixels[i]);
            if(diff[i]>80){
                diff[i]=255;
                sumMovement++;
            }else{
                diff[i]=0;
            }
        }
        sumMovement=sumMovement/10.f;
        previousPixels = gray;
        diffTex.loadData(diff);
    }
}

//--------------------------------------------------------------
void testApp::draw(){
    grabber.draw(0,0,320,240);
    grayTex.draw(320,0,320,240);
    diffTex.draw(0,240,320,240);
    ofRect(680,ofGetHeight(),40,-sumMovement);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){

}
