#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	id = 0;
	if(id==0){
		oscSender.setup("192.168.1.255",8888);
	}else{
		oscReceiver.setup(8888);
	}
	x = 0;
	syncSent = false;
	player.loadSound("synth.wav");
}

//--------------------------------------------------------------
void testApp::update(){
	//server
	if(x==0 && syncSent==false && ofGetElapsedTimeMillis()>5000 && id==0){
		ofxOscMessage msg;
		msg.setAddress("sync");
		msg.addIntArg(ofGetElapsedTimeMillis());
		oscSender.sendMessage(msg);
		syncSent=true;
		player.setSpeed(id*0.2+1);
		player.play();
	}

	//client
	if(id!=0 && syncSent==false){
		if(oscReceiver.hasWaitingMessages()){
			ofxOscMessage msg;
			oscReceiver.getNextMessage(&msg);
			if(msg.getAddress()=="sync"){
				int time = msg.getArgAsInt32(0);
				syncSent=true;
				player.setSpeed(id*0.2+1);
			}
		}
	}

	if(syncSent){
		x += ofGetLastFrameTime();
		if(x>=id && !player.getIsPlaying()){
			player.play();
		}
	}
}

//--------------------------------------------------------------
void testApp::draw(){
	ofCircle((x-id)*ofGetWidth(),100,30);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}


//--------------------------------------------------------------
void testApp::touchDown(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchMoved(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchUp(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchCancelled(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::swipe(ofxAndroidSwipeDir swipeDir, int id){

}

//--------------------------------------------------------------
void testApp::pause(){

}

//--------------------------------------------------------------
void testApp::stop(){

}

//--------------------------------------------------------------
void testApp::resume(){

}

//--------------------------------------------------------------
void testApp::reloadTextures(){

}

