#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	for(int i=0;i<10;i++){
		brushes.push_back(ofFbo());
		brushes.back().allocate(ofGetWidth(),ofGetHeight(),GL_LUMINANCE);
	}

	brushes[0].begin();
	ofClear(255,255);
	ofSetColor(0);
	for(int i=0;i<ofGetHeight()/5;i++){
		ofLine(0,i*5,ofGetWidth(),i*5);
	}
	brushes[0].end();


	brushes[1].begin();
	ofClear(255,255);
	ofSetColor(0);
	for(int i=0;i<ofGetWidth();i++){
		ofLine(0,i*5,i*5,0);
	}
	brushes[1].end();

	//ofSetBackgroundAuto(false);
	ofBackground(0);
	ofSetColor(255);
	path.setStrokeWidth(6);
	path.setStrokeColor(ofColor(0));
	path.setFillColor(ofColor(255,0,0));
	//path.setPolyWindingMode(OF_POLY_WINDING_NONZERO);
	//path.setFilled(false);
	//path.setMode(ofPath::POLYLINES);
	ofNoFill();

	tex = 0;
	ofEnableAlphaBlending();

	img.loadImage("bikers.jpg");
	img.resize(ofGetWidth(),ofGetHeight());
}

//--------------------------------------------------------------
void testApp::update(){
}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(255);
	img.getTextureReference().bind();
	mesh.draw();
	img.getTextureReference().unbind();


	ofSetColor(0);
	mesh.drawWireframe();


	ofDrawBitmapString(ofToString(tex),20,20);
	ofDrawBitmapString(ofToString(ofGetFrameRate()),20,40);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if(key=='t'){
		tex++;
		tex%=2;
	}
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	if(button==0){
		path.lineTo(x,y);
	}
	if(button==2){
		path.close();
		//path.setStrokeWidth(0);
		/*path.setFillColor(ofColor(255,0,0));
		mesh = path.getTessellation();
		for(int i=0;i<mesh.getNumVertices();i++){
			mesh.addTexCoord(mesh.getVertex(i));
		}*/

		mesh = path.getTessellation();
		for(int i=0;i<mesh.getNumVertices();i++){
			mesh.addTexCoord(mesh.getVertex(i));
		}
	}
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}
