#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	bezierVertices.resize(3);

	bezierVertices[0].p = ofPoint(50,50);
	bezierVertices[0].cp1 = ofPoint(50,20);
	bezierVertices[0].cp2 = ofPoint(50,80);


	bezierVertices[1].p = ofPoint(ofGetWidth()*0.5,50);
	bezierVertices[1].cp1 = ofPoint(ofGetWidth()*0.5,20);
	bezierVertices[1].cp2 = ofPoint(ofGetWidth()*0.5,80);

	bezierVertices[2].p = ofPoint(ofGetWidth()-50,50);
	bezierVertices[2].cp1 = ofPoint(ofGetWidth()-50,20);
	bezierVertices[2].cp2 = ofPoint(ofGetWidth()-50,80);

	curveResolution = 20;
	createBezier();
}

void testApp::createBezier(){
	polyline.clear();
	polyline.addVertex(bezierVertices[0].p);
	//polyline.bezierTo(bezierVertices[0].cp1,bezierVertices[0].cp2,bezierVertices[0].p,curveResolution);
	polyline.bezierTo(bezierVertices[0].cp1,bezierVertices[0].cp2,bezierVertices[0].p,curveResolution);
	polyline.bezierTo(bezierVertices[1].cp1,bezierVertices[1].cp2,bezierVertices[1].p,curveResolution);
	polyline.bezierTo(bezierVertices[2].cp1,bezierVertices[2].cp2,bezierVertices[2].p,curveResolution);
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	polyline.draw();
	for(int i=0;i<bezierVertices.size();i++){
		bezierVertices[i].draw();
	}
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	if(bezierVertices[1].p.distance(ofPoint(x,y))<30){
		bezierVertices[1].p.set(x,y);
		createBezier();
	}else if(bezierVertices[1].cp1.distance(ofPoint(x,y))<30){
		bezierVertices[1].cp1.set(x,y);
		createBezier();
	}else if(bezierVertices[1].cp2.distance(ofPoint(x,y))<30){
		bezierVertices[1].cp2.set(x,y);
		createBezier();
	}
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}


//--------------------------------------------------------------
void testApp::touchDown(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchMoved(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchUp(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::touchCancelled(int x, int y, int id){

}

//--------------------------------------------------------------
void testApp::swipe(ofxAndroidSwipeDir swipeDir, int id){

}

//--------------------------------------------------------------
void testApp::pause(){

}

//--------------------------------------------------------------
void testApp::stop(){

}

//--------------------------------------------------------------
void testApp::resume(){

}

//--------------------------------------------------------------
void testApp::reloadTextures(){

}

//--------------------------------------------------------------
bool testApp::backPressed(){
	return false;
}

//--------------------------------------------------------------
void testApp::okPressed(){

};

//--------------------------------------------------------------
void testApp::cancelPressed(){

};
